FullWrtGraphInternal::State Struct Reference

Internal: the state of a FullWrtGraph. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
std::vector< std::shared_ptr< SideBar > > | m_sidebarList
| the sidebar list
std::multimap< int, FullWrtStruct::EntryPtr > | m_graphicMap
| zoneId -> graphic entry
std::vector< FullWrtStruct::Border > | m_borderList
| a list of border
int | m_numPages

## Detailed Description

Internal: the state of a FullWrtGraph.

## Constructor & Destructor Documentation

## State()

FullWrtGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_borderList

std::vector<FullWrtStruct::Border> FullWrtGraphInternal::State::m_borderList

a list of border

Referenced by State().

## m_graphicMap

std::multimap<int, FullWrtStruct::EntryPtr > FullWrtGraphInternal::State::m_graphicMap

zoneId -> graphic entry

Referenced by State().

## m_numPages

int FullWrtGraphInternal::State::m_numPages

Referenced by State().

## m_sidebarList

std::vector<std::shared_ptr<SideBar> > FullWrtGraphInternal::State::m_sidebarList

the sidebar list

Referenced by State().

## m_version

int FullWrtGraphInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- FullWrtGraph.cxx